This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 716154

Summary: FTBFS libcrystalhd-3.5.1-1.fc14
Product: [Fedora] Fedora Reporter: FTBFS <ftbfs>
Component: libcrystalhdAssignee: Jarod Wilson <jarodwilson>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: rawhideCC: hdegoede, jarodwilson, kelvin, kwizart, notting, stanley.king
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://linux.dell.com/files/fedora/FixBuildRequires/mock-results/
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-07 17:23:45 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 713919    
Attachments:
Description Flags
root.log
none
build.log
none
mock.log
none
root.log
none
build.log
none
mock.log
none
Update to 3.10.0
none
snapshot script none

Description FTBFS 2011-06-23 12:25:59 EDT
libcrystalhd-3.5.1-1.fc14.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2011-06-23 12:26:02 EDT
Created attachment 509204 [details]
root.log


root.log for i386
Comment 2 FTBFS 2011-06-23 12:26:03 EDT
Created attachment 509205 [details]
build.log


build.log for i386
Comment 3 FTBFS 2011-06-23 12:26:04 EDT
Created attachment 509206 [details]
mock.log


mock.log for i386
Comment 4 FTBFS 2011-06-23 12:26:06 EDT
Created attachment 509207 [details]
root.log


root.log for x86_64
Comment 5 FTBFS 2011-06-23 12:26:07 EDT
Created attachment 509208 [details]
build.log


build.log for x86_64
Comment 6 FTBFS 2011-06-23 12:26:08 EDT
Created attachment 509209 [details]
mock.log


mock.log for x86_64
Comment 7 Nicolas Chauvet (kwizart) 2012-07-12 18:24:59 EDT
Created attachment 597911 [details]
Update to 3.10.0

I've fixed the package to allow building from source (and with ffmpeg). 
Mostly done by fetching update from jarod's git repo.

But usability test still need to be proved. Specially on a Fedora 17 kernel on an ExoPC: http://www.smolts.org/client/show/pub_ead20847-e4f4-49a4-965f-02c19bc517b0

I've tried to modprobe crystalhd, which worked with current firmware and latest one from the separate review. But I failed to see improvement over not using the gstreamer-plugin-crystalhd or using vlc --codec crystalhd on a h264 1080p stream. 
The CPU load was still at 99% and more whereas I expected to fall under the 10%.
Jarod, do you know the CPU load we can see when the driver works as expected ?
Comment 8 Nicolas Chauvet (kwizart) 2012-07-12 18:29:23 EDT
Created attachment 597912 [details]
snapshot script
Comment 9 Kelvin J. Hill 2012-07-20 18:40:19 EDT
Will the updated version allow the use of the BCM70015 as well as the BCM70012?

At the moment the F17 kernel has no support for the BCM70015 device in the crystalhd driver.  

I have managed to compile the 3.10.0 from the git repository, after fixing up missing includes and loaded that in as a module. 

Now at least the BCM70015 is identified and enumerated correctly.
Comment 10 Nicolas Chauvet (kwizart) 2012-08-01 18:46:32 EDT
(In reply to comment #9)
> Will the updated version allow the use of the BCM70015 as well as the

Well, I've somehow missed your message but got the same result, there is a need to compile the driver from git://linuxtv.org/jarod/crystalhd.git to get BCM70015 to work.
Once the udev rules is appropriately set the device is created appropriately.
vlc --codec crystalhd worked, same with totem.
Comment 11 Bill Nottingham 2012-08-06 12:53:56 EDT
Given the activity here, not blocking for FTBFS for now.
Comment 12 Kelvin J. Hill 2012-08-06 13:25:10 EDT
Well, it's not "blocking" as such, but it's a PITA that the working code has not made it into the kernel, when it clearly exists. It just means another dkms source tree to maintain on my system :-(
Comment 13 Hans de Goede 2012-08-07 17:23:45 EDT
The FTBFS has been fixed in rawhide, closing.